﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AutoFolderMirror
{
    /*   
	 * 功能：此类是用来读取写入配置文件的，即ini文件 
	 */
    public class IniHelp
    {
        public string IniFile = Application.StartupPath + @"\Config.ini";
        //声明读ini文件的api函数 
        [DllImport("kernel32")]
        private static extern int GetPrivateProfileString(string section,
            string key, string def, StringBuilder retVal,
            int size, string filePath);
        //声明写ini文件的api函数 
        [DllImport("kernel32")]
        private static extern long WritePrivateProfileString(string section, string key, string val, string filePath);
        public string path;
        /* 
		 * 构造函数 传递配置文件的路径 
		 */
        public IniHelp(string FilePath = "")
        {
            this.path = (string.IsNullOrEmpty(FilePath)) ? IniFile : FilePath;
        }

        /* 
		 * 读取文本文件 
		 */
        public string ReadValue(string key, string section = "Config")
        {
            StringBuilder temp = new StringBuilder(255);
            int i = GetPrivateProfileString(section, key, "", temp, 255, this.path);
            return temp.ToString();
        }
        /* 
		 * 写配置文件 
		 */
        public void WriteValue(string key, object value, string section = "Config")
        {
            WritePrivateProfileString(section, key, value.ToString(), this.path);
        }
    }
}
