﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Sockets;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AutoFolderMirror
{
    static class Program
    {
        public static string CurTimeForInfoPath
        {
            get
            {//2011-01-26T09:12:08
                DateTime curTime = DateTime.Now;
                string month = curTime.Month.ToString();
                string day = curTime.Day.ToString();
                string hour = curTime.Hour.ToString();
                string minute = curTime.Minute.ToString();
                string second = curTime.Second.ToString();
                if (curTime.Month < 10)
                    month = "0" + month;
                if (curTime.Day < 10)
                    day = "0" + day;
                if (curTime.Hour < 10)
                    hour = "0" + hour;
                if (curTime.Minute < 10)
                    minute = "0" + minute;
                if (curTime.Second < 10)
                    second = "0" + second;
                string s = curTime.Year.ToString() + "-" + month + "-"
                    + day + "T" + hour + ":" + minute + ":" + second;
                return s;
            }
        }
        public static string GetLocalIP()
        {
            IPAddress localIp = null;
            try
            {
                IPAddress[] ipArray;
                ipArray = Dns.GetHostAddresses(Dns.GetHostName());
                var List = ipArray.Where(ip => ip.AddressFamily == AddressFamily.InterNetwork).ToList();
                localIp = ipArray.First(ip => ip.AddressFamily == AddressFamily.InterNetwork);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.StackTrace + "\r\n" + ex.Message, "错误", MessageBoxButtons.OKCancel, MessageBoxIcon.Error);
            }
            if (localIp == null)
            {
                localIp = IPAddress.Parse("127.0.0.1");
            }
            return localIp.ToString();
        }
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            GetLocalIP();
            string Extension = CurTimeForInfoPath;

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainForm());
        }
    }
}
